Public Class frmUSR0
    Private vCargando As Boolean
    Private vCargado As Boolean

    Private Sub frmUSR0_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        vCargando = True
        'TODO: esta línea de código carga datos en la tabla 'InversionesDataSet1.DEP0' Puede moverla o quitarla según sea necesario.
        Me.DEP0TableAdapter.Fill(Me.InversionesDataSet1.DEP0)
        'TODO: esta línea de código carga datos en la tabla 'InversionesDataSet1.USR0' Puede moverla o quitarla según sea necesario.
        Me.USR0TableAdapter.Fill(Me.InversionesDataSet1.USR0)
        vCargando = False

        cbxDepartamentoID.SelectedValue = txtDepartamentoID.Text


    End Sub


    Private Sub USR0BindingNavigatorSaveItem_Click(sender As Object, e As EventArgs) Handles USR0BindingNavigatorSaveItem.Click
        Me.Validate()
        Me.USR0BindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.InversionesDataSet1)

    End Sub

    Private Sub cbxDepartamentoID_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cbxDepartamentoID.SelectedIndexChanged
        If Not vCargando Then txtDepartamentoID.Text = cbxDepartamentoID.SelectedValue

    End Sub


    Private Sub Listo()
        vCargado = True

    End Sub

    Private Sub BindingNavigatorAddNewItem_Click(sender As Object, e As EventArgs) Handles BindingNavigatorAddNewItem.Click

    End Sub
End Class